Summary:        An ABI Compliance Checker
Name:           abi-compliance-checker
Version:        2.3
Release:        6%{?dist}

License:        LGPL-2.1+
URL:            http://lvc.github.io/abi-compliance-checker/
Source0:        https://github.com/lvc/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

Patch5000:      0001-fix-illegal-symbol-in-labels-and-values.patch
Patch5001:      fix-illegal-symbol-in-getXmlParams.patch
Patch5002:      downgrade-severity-of-Renamed-Parameter.patch

BuildArch:      noarch

BuildRequires: perl(File::Find) perl(File::Path) perl(File::Spec) perl(Getopt::Long) perl(strict)
BuildRequires: perl-generators perl-interpreter perl(Cwd) perl(File::Basename) perl(File::Copy)

Requires:       gcc >= 4.5 gcc-c++ >= 4.5 binutils findutils
Requires:       ctags >= 5.8 abi-dumper >= 0.99.15


%{?perl_default_filter}

%description
A tool for checking backward binary compatibility of a shared C/C++ library. It
checks for changes in calling stack, changes in v-table, removed symbols, etc.


%prep
%autosetup -p1


%build


%install
mkdir -p %{buildroot}%{_prefix}
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}
%{_fixperms} %{buildroot}/*


%files
%license LICENSE
%doc README.md doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Thu Jan 04 2024 cunshunxia <cunshunxia@tencent.com> - 2.3-6
- downgrade the severity of Renamed_Parameter which will not cause problems.

* Mon Dec 25 2023 cunshunxia <cunshunxia@tencent.com> - 2.3-5
- fix illegal symbols in xml change label.

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 21 2023 cunshunxia <cunshunxia@tencent.com> - 2.3-3
- fix illegal symbols in xml.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 03 2023 cunshunxia <cunshunxia@tencent.com> - 2.3-1
- initial build
